package Controleurs;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Vector;

import javax.swing.JPanel;
import javax.swing.JTextField;

public class EcouteurAjoutContrainte implements ActionListener {
	protected JPanel jp;
	protected Vector<JTextField> VectTFContr;

	public EcouteurAjoutContrainte(JPanel jp,Vector<JTextField> VectTFContr) {
		this.jp=jp;
		this.VectTFContr=VectTFContr;
	}

	public void actionPerformed(ActionEvent e) {
		JTextField jt=new JTextField();
		jt.setSize(200, 20);
		jt.setLocation(300, 290);
		VectTFContr.add(jt);
		jp.add(jt);
	}

}
